import { AfterViewInit, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./control-value-accessor.directive";
import * as i2 from "./native-value-accessor.directive";
/**
 * Provide a directive to directly interact with stored values.
 */
export declare class LocalStorageDirective implements AfterViewInit {
    /**
     * The key to use with localstorage.
     */
    key: string;
    /**
     * The keys prefix to use.
     */
    prefix?: string;
    /**
     * Flag if the bound elements value should be initialized from storage.
     */
    initFromStorage: boolean;
    /**
     * An optional transformer to handle falsy values.
     */
    falsyTransformer?: () => unknown;
    /**
     * Event which gets fired when a bound value got stored.
     */
    storedValue: EventEmitter<unknown>;
    private readonly destroyRef;
    private readonly accessor;
    private readonly elementRef;
    private readonly storageService;
    /**
     * Sets up:
     * * the key to use
     * * storage observer
     * * initalization from storage
     * * value change observer
     */
    ngAfterViewInit(): void;
    /**
     * Initalizes the key from either the given value or the elements id or name property.
     */
    private initKey;
    /**
     * Initializes the elements value from storage.
     */
    private checkInitFromStorage;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LocalStorageDirective, "[ngxLocalStorage]", never, { "key": { "alias": "ngxLocalStorage"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "initFromStorage": { "alias": "initFromStorage"; "required": false; }; "falsyTransformer": { "alias": "falsyTransformer"; "required": false; }; }, { "storedValue": "storedValue"; }, never, never, true, [{ directive: typeof i1.ControlValueAccessorDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.NativeValueAccessorDirective; inputs: { "forEvent": "forEvent"; "valuePath": "valuePath"; "storageDebounce": "storageDebounce"; }; outputs: {}; }]>;
    static ngAcceptInputType_initFromStorage: unknown;
}
