import { EnvironmentProviders, Provider, Type } from '@angular/core';
import { NgxLocalstorageConfiguration } from './interfaces/storage-configuration';
import { StorageSerializer } from './interfaces/storage-serializer';
declare enum FeatureKind {
    Serializer = 0
}
/**
 * @docs-private
 */
export interface NgxLocalstorageFeature<Kind extends FeatureKind> {
    kind: Kind;
    providers: Provider[];
}
/**
 * @docs-private
 */
export type NgxLocalStorageFeatures = SerializerFeature;
/**
 * Provides the basic configuration and optional additional features.
 * @param configuration configuration used by the service and directive
 * @param features optional features; e.g. a custom serializer
 * @returns providers used by `ngx-localstorage`
 */
export declare const provideNgxLocalstorage: (configuration?: NgxLocalstorageConfiguration, ...features: NgxLocalStorageFeatures[]) => EnvironmentProviders;
/**
 * @docs-private
 */
export type SerializerFeature = NgxLocalstorageFeature<FeatureKind.Serializer>;
/**
 * Provides a custom serializer.
 */
export declare const withSerializer: (serializer: Type<StorageSerializer>) => SerializerFeature;
export {};
